
<!-- Add your site or application content here -->
<div class="main-container container center">
  <header class="default-header pt2 center bb white br--bottom bw3 animated fadeIn mb3">
    <div class="tc fs--1">v&nbsp;{{frontendVersion}} </div>
    <div *ngIf="isdebug && dataService.environmentName!==''" class="tl ml1 fs--1" style="margin-top:-1.5em;">Backend environment: {{dataService.environmentName}}</div>
    <span class="db dim ff-oldstandard fs--1 main-headline lh-solid link white tc">
      demo - job ad enrichments <i><fa-icon [icon]="faCode" style="font-size: 3rem"></fa-icon></i>
    </span>
    <a href="{{dataService.enrichBaseUrl}}" target="_blank">

      <div class="grow-large star-container fr pointer">
        <div class="star">
          <span class="starlabel">Show me</span>
          <span class="startext">The API</span>
        </div>
      </div>
    </a>
  </header>


  <div *ngIf="isdebug" class="env-radios">
    <input type="radio"
           id="env_prod"
           name="environment"
           [value]="'prod'"
           [(ngModel)]="dataService.environmentName"
           (ngModelChange)="chooseEnvironment($event)" />
    <label for="env_prod">prod</label>
    <input type="radio"
           id="env_test"
           name="environment"
           [value]="'test'"
           [(ngModel)]="dataService.environmentName"
           (ngModelChange)="chooseEnvironment($event)" />
    <label for="env_test">test</label>

    <input type="radio"
           id="env_onprem_prod"
           name="environment"
           [value]="'onprem-prod'"
           [(ngModel)]="dataService.environmentName"
           (ngModelChange)="chooseEnvironment($event)" />
    <label for="env_onprem_prod">onprem prod</label>

    <input type="radio"
           id="env_onprem_test"
           name="environment"
           [value]="'onprem-test'"
           [(ngModel)]="dataService.environmentName"
           (ngModelChange)="chooseEnvironment($event)" />
    <label for="env_onprem_test">onprem test</label>

    <input type="radio"
           id="env_localhost"
           name="environment"
           [value]="'localhost'"
           [(ngModel)]="dataService.environmentName"
           (ngModelChange)="chooseEnvironment($event)" />
    <label for="env_localhost">localhost</label>
  </div>


    <app-enrich class=""></app-enrich>

<!--  <footer class="mb1 tc footer center container">-->
    <!-- Nothing here any more -->
<!--  </footer>-->
</div>



<router-outlet></router-outlet>
